Create Project
curl --request POST \
--url https://api.everhour.com/projects \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Project Name",
"type": "board",
"users": [
1304,
1543
],
"client": 123,
"privacy": true,
"changeProtected": true,
"isTemplate": true
}
'import requests
url = "https://api.everhour.com/projects"
payload = {
"name": "Project Name",
"type": "board",
"users": [1304, 1543],
"client": 123,
"privacy": True,
"changeProtected": True,
"isTemplate": True
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Project Name',
type: 'board',
users: [1304, 1543],
client: 123,
privacy: true,
changeProtected: true,
isTemplate: true
})
};
fetch('https://api.everhour.com/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "as:1234567890",
"name": "Project Name",
"users": [
1304,
1543
],
"workspaceId": "<string>",
"workspaceName": "<string>",
"client": 123,
"type": "board",
"favorite": false,
"billing": {
"fee": 123
},
"rate": {
"rate": 123,
"userRateOverrides": {
"1304": 10000,
"1543": 5000
}
},
"budget": {
"type": "money",
"budget": 100000,
"period": "general",
"progress": 0,
"timeProgress": 0,
"expenseProgress": 0,
"appliedFrom": "<string>",
"disallowOverbudget": true,
"excludeUnbillableTime": true,
"excludeExpenses": true,
"showToUsers": true,
"threshold": 123
}
}Projects
Create Project
Create a new project. To copy from an existing template use the template or publicTemplate body field. To sync a project from a connected integration use POST /projects/{project_id}/sync instead.
POST
/
projects
Create Project
Authorizations
Body
application/json
Example:
"Project Name"
Project type
Available options:
board, list Example:
"board"
Assigned user IDs
Example:
[1304, 1543]
Client ID to assign the project to
Restrict project visibility to its assigned members
Prevent edits by non-admins
Mark the project as a template
Response
Created
Example:
"as:1234567890"
Example:
"Project Name"
List of assigned user IDs
Example:
[1304, 1543]
Client ID
Project Type
Available options:
board, list Example:
"board"
Example:
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
